<head prefix="og: http://ogp.me/ns#">

  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <!-- web app stuff -->
  <meta name="mobile-web-app-capable" content="yes" />
  <meta name="application-name" content="{{ site.title }}" />
  <meta name="apple-mobile-web-app-capable" content="yes" />
  <meta name="apple-mobile-web-app-status-bar-style" content="#fff" />
  <meta name="apple-mobile-web-app-title" content="{{ site.title }}" />
  <title>
    {% if page.title %}{{ page.title | escape }} - {{ site.title }}{% else %}{{
    site.title_long | escape }}{% endif %}
  </title>
  <link
    rel="alternate"
    href="{{
      page.url | remove: 'index.html' | remove: '.html' | absolute_url
    }}"
    hreflang="{{ site.lang }}"
  />
  <link
    rel="canonical"
    href="{{
      page.url  | remove: 'index.html' | remove: '.html' | absolute_url
    }}"
  />
  <meta
    name="description"
    content="{{
      page.description
        | default: site.description
        | strip_html
        | normalize_whitespace
        | truncate: 200
        | escape
    }}"
  />
  <meta name="referrer" content="no-referrer-when-downgrade" />
  <!-- open graph -->
  <meta
    property="og:site_name"
    content="{% if page.title %}{{ page.title | escape }} | {{
      site.author.name
    }}{% else %}{{ site.title | escape }}{% endif %}"
  />
  <meta
    property="og:title"
    content="{% if page.title %}{{ page.title | escape }} | {{
      site.author.name
    }}{% else %}{{ site.title | escape }}{% endif %}"
  />
  <meta property="og:type" content="website" />
  <meta
    property="og:url"
    content="{{
      page.url | remove: 'index.html' | remove: '.html' | absolute_url
    }}"
  />
  <meta
    property="og:description"
    content="{{
      page.description
        | default: site.description
        | strip_html
        | normalize_whitespace
        | truncate: 200
        | escape
    }}"
  />
  <meta property="og:image:width" content="640" />
  <meta property="og:image:height" content="640" />
  <!-- twitter -->
  <meta name="twitter:card" content="summary" />
  <meta
    name="twitter:title"
    content="{% if page.title %}{{ page.title | escape }} | {{
      site.author.twitter
    }}{% else %}{{ site.title | escape }}{% endif %}"
  />
  <meta
    name="twitter:url"
    content="{{
      page.url  | remove: 'index.html' | remove: '.html' | absolute_url
    }}"
  />
  <meta
    name="twitter:description"
    content="{{
      page.description
        | default: site.description
        | strip_html
        | normalize_whitespace
        | truncate: 200
        | escape
    }}"
  />
  <!-- icons -->
  <link
    rel="icon"
    type="image/png"
    href="assets/favicons/icon.png"
  />
  <link rel="apple-touch-icon"
    sizes="180x180"
    href="assets/favicons/apple-touch-icon.png"
  />
  <link
    rel="mask-icon"
    href="assets/favicons/safari-pinned-tab.svg"
    color="#5bbad5"
  />
  <!-- colors -->
  <meta name="theme-color" content="#2c2c2c" />
  <meta name="msapplication-TileColor" content="#da532c" />

  <!-- use relative links for artifact staging to work -->
  <link rel="stylesheet" href="assets/style.css" />
</head>
